Create prefill token
Create a prefill token that stores a set of booking-form values. Prefill tokens are automatically deleted one month after they are created.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Prefilling a scheduling link
To prefill a scheduling link using aprefill_token, use this two-step flow:
- Call this endpoint with the values you want prefilled. It returns a
prefill_token. - Append the token to the scheduling link’s URL as a
prefill_tokenquery parameter and share the link. For example:
https://{your-subdomain}.neetocal.com/{meeting-slug}?prefill_token={prefill_token}Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Body
Key-value pairs are used to prefill the booking form. The key of each field should be the field code of the question, and the value is what that question should be prefilled with. The field code can be found in scheduling link's Settings -> Questions -> 3 dot menu of the question -> Edit -> Advanced properties. See the pre-filled scheduling link help article for more on field codes. If the same field is also passed as a query parameter on the link, that value takes precedence over the token.
Response
OK - Request succeeded
The generated prefill token. Always prefixed with pft_.
"pft_428518d70eb35deab7a8"